import { parseOptions } from "$lib";
import { error } from "@sveltejs/kit";
import type { RequestHandler } from "./$types";

export const GET: RequestHandler = async ({ url, platform }) => {
	const db = platform?.env?.TCL_GUESSR_D1 ?? null;
	if (db === null) error(500, "could not connect to d1");

	const options = parseOptions(url);

	const { results } = await db
		.prepare(
			"SELECT game.id, max(game.total_score) AS total_score, user.name FROM game INNER JOIN user ON user.id = game.user_id WHERE game.mode = ? AND game.stops_type = ? GROUP BY game.user_id ORDER BY game.total_score DESC, game.time ASC LIMIT 10",
		)
		.bind(options.mode, options.stopsType)
		.all();

	return new Response(JSON.stringify(results));
};
