import { error, redirect } from "@sveltejs/kit";
import type { RequestHandler } from "./$types";

export const GET: RequestHandler = async ({ locals, platform, url }) => {
	const db = platform?.env?.TCL_GUESSR_D1 ?? null;
	if (db === null) error(500, "could not connect to d1");

	const gameId = url.searchParams.get("id") ?? null;
	if (gameId === null) error(400, "no game id specified");

	if (locals.user === null) error(401);

	await db.prepare("UPDATE game SET user_id = ? WHERE id = ?").bind(locals.user.id, gameId).run();

	redirect(302, `/results?gameId=${gameId}`);
};
