import { invalidateSession } from "$lib/auth/session";
import { redirect } from "@sveltejs/kit";
import type { RequestHandler } from "./$types";

export const GET: RequestHandler = async ({ platform, locals }) => {
	const db = platform?.env?.TCL_GUESSR_D1 ?? null;

	if (locals.session !== null && db !== null) {
		await invalidateSession(locals.session.id, db);
	}

	locals.session = null;
	locals.user = null;

	redirect(302, "/");
};
